
# disks ~~ roles/vmm/tasks/disks.yml

---

- name: get existing disk file size
  stat:
    path: "{{ vmm.disk_dir }}/{{ guest.name }}.{{ vmm.disk_format }}"
  register: st

- name: generate vm disk
  shell: |
    disk="{{ vmm.disk_dir }}/{{ guest.name }}.{{ vmm.disk_format }}"
    rm "${disk}"
    vmctl create -s {{ guest.disk }} "${disk}"
  when: not st.stat.exists or st.stat.size < 32
